epp_DomainUpdateAddRemove (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.domain.epp_DomainUpdateAddRemove class

### org.openrtk.idl.epp02.domain

# Class epp_DomainUpdateAddRemove

- `java.lang.Object`
- - `org.openrtk.idl.epp02.domain.epp_DomainUpdateAddRemove`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainUpdateAddRemove`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/domain/epp_DomainUpdateAddRemove.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_domain.idl Thursday, July 26, 2001 6:26:07 PM EDT

  ## Field Summary
  `epp_DomainContact[]` | `m_contacts`
  `String[]` | `m_name_servers`
  `epp_DomainStatus[]` | `m_status`

  ## Constructor Summary
  `epp_DomainUpdateAddRemove()`
  `epp_DomainUpdateAddRemove(String[] _m_name_servers, epp_DomainContact[] _m_contacts, epp_DomainStatus[] _m_status)`

  ## Method Summary
  `epp_DomainContact[]` | `getContacts()`
  `String[]` | `getNameServers()`
  `epp_DomainStatus[]` | `getStatus()`
  `void` | `setContacts(epp_DomainContact[] value)`
  `void` | `setNameServers(String[] value)`
  `void` | `setStatus(epp_DomainStatus[] value)`
  `String` | `toString()`

## Field Details

### m_contacts

    public epp_DomainContact[] m_contacts

### m_name_servers

    public String[] m_name_servers

### m_status

    public epp_DomainStatus[] m_status

## Constructor Details

### epp_DomainUpdateAddRemove

    public epp_DomainUpdateAddRemove()

### epp_DomainUpdateAddRemove

    public epp_DomainUpdateAddRemove(String[] _m_name_servers,
                                     epp_DomainContact[] _m_contacts,
                                     epp_DomainStatus[] _m_status)

## Method Details

### getContacts

    public epp_DomainContact[] getContacts()

### getNameServers

    public String[] getNameServers()

### getStatus

    public epp_DomainStatus[] getStatus()

### setContacts

    public void setContacts(epp_DomainContact[] value)

### setNameServers

    public void setNameServers(String[] value)

### setStatus

    public void setStatus(epp_DomainStatus[] value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS